低危 imagemagick image-compositor.c 栈缓冲区溢出

CVE编号

CVE-2020-35492

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-03-19
漏洞描述
A flaw was found in cairo's image-compositor.c in all versions prior to 1.17.4. This flaw allows an attacker who can provide a crafted input file to cairo's image-compositor (for example, by convincing a user to open a file in an application using cairo, or if an application uses cairo on untrusted input) to cause a stack buffer overflow -> out-of-bounds WRITE. The highest impact from this vulnerability is to confidentiality, integrity, as well as system availability.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 imagemagick image-compositor.c * Up to
(excluding)
1.17.4
运行在以下环境
系统 alpine_3.10 cairo * Up to
(excluding)
1.16.0-r3
运行在以下环境
系统 alpine_3.11 cairo * Up to
(excluding)
1.16.0-r3
运行在以下环境
系统 alpine_3.12 cairo * Up to
(excluding)
1.16.0-r3
运行在以下环境
系统 alpine_3.13 cairo * Up to
(excluding)
1.16.0-r2
运行在以下环境
系统 alpine_3.14 cairo * Up to
(excluding)
1.16.0-r2
运行在以下环境
系统 alpine_3.15 cairo * Up to
(excluding)
1.16.0-r2
运行在以下环境
系统 alpine_3.16 cairo * Up to
(excluding)
1.16.0-r2
运行在以下环境
系统 alpine_edge cairo * Up to
(excluding)
1.16.0-r2
运行在以下环境
系统 centos_8 cairo * Up to
(excluding)
0.38.4-2.el8
运行在以下环境
系统 debian_10 cairo * Up to
(excluding)
1.16.0-4+deb10u1
运行在以下环境
系统 debian_11 cairo * Up to
(including)
1.16.0-4
运行在以下环境
系统 debian_9 cairo * Up to
(excluding)
1.14.8-1+deb9u1
运行在以下环境
系统 debian_sid cairo * Up to
(including)
1.16.0-4
运行在以下环境
系统 redhat_8 cairo * Up to
(excluding)
0.38.4-2.el8
运行在以下环境
系统 ubuntu_16.04 cairo * Up to
(excluding)
1.14.6-1ubuntu0.1~esm1
运行在以下环境
系统 unionos_20 cairo * Up to
(excluding)
1.16.0.1-1+eagle
阿里云评分
3.8
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-121 栈缓冲区溢出
CWE-787 跨界内存写
阿里云安全产品覆盖情况